package tutorial.core.services;

import tutorial.core.models.entities.Message;
import tutorial.core.services.util.MessageList;
import tutorial.rest.resources.MessageResource;

/**
 * 
 * @author Xavier
 */
public interface MessageService {
    /**
     * 
     * @param data
     * @return 
     */
    public Message createMessage(MessageResource data);
    
    /**
     * 
     * @return 
     */
    public MessageList findAllMessages();
    
    /**
     * 
     * @param id
     * @return 
     */
    public Message findMessage(Long id);
    //public MessageList findMessagesByAccount(Long accountId);

    /**
     * 
     */
    public void deleteAllMessages();
}
